Subject: patch 5.4.1 (was: [54] Minor make test problem)
From: Bram Moolenaar <[email-masked]>
To: Matthew Jackson <[email-masked]>
Cc: [email-masked]

------------

Matthew Jackson wrote:

> I have discovered one minor problem with make test in vim-5.4. Make test will
> fail on test11 if the GZIP environment variable has -v set (the GZIP variable
> specifies default options to gzip). This causes a difference in test.out from
> test11.ok with some extra text emitted by gzip.
> 
> The fix: unset GZIP before running

Indeed, that fixes the problem.  Although this isn't really an important
problem, I'll make a patch for it anyway.

As you can see, I also included a patch for version.h.  This will indicate the
patch level in ":version" and the intro screen.  A disadvantage is that
applying a patch without the previous one will fail.  Well, only the change to
version.h will be missing.

This is a bit of a contridiction: This is the first patch, but the executable
doesn't really change.  But numbering the Vim versions differently from the
patch number would be very confusing.  Let's just consider the version number
to apply to Vim as a whole, not just the executable.

I'll create ftp.vim.org/pub/vim/patches and upload the patches there.  It will
lag behind a day or so.

Patch 5.4.1
Problem:    Test11 fails when $GZIP is set to "-v". (Matthew Jackson)
Solution:   Set $GZIP to an empty string.
Files:      src/testdir/test11.in

*** ../vim-5.4/src/testdir/test11.in	Sun Jul 25 22:01:53 1999
--- src/testdir/test11.in	Tue Jul 27 11:12:32 1999
***************
*** 9,16 ****
--- 9,18 ----
  - FileReadPost		decompress the file
  
  Note: This test will fail if "gzip" is not available.
+ $GZIP is made empty, "-v" would cause trouble.
  
  STARTTEST
+ :let $GZIP = ""
  :set bin
  :au FileWritePre    *.gz   '[,']!gzip
  :au FileWritePost   *.gz   undo
*** ../vim-5.4/src/version.h	Sun Jul 25 22:02:08 1999
--- src/version.h	Tue Jul 27 12:14:27 1999
***************
*** 19,26 ****
  #define VIM_VERSION_MINOR_STR		"4"
  #define VIM_VERSION_BUILD		 57
  #define VIM_VERSION_BUILD_STR		"57"
! #define VIM_VERSION_PATCHLEVEL		 0
! #define VIM_VERSION_PATCHLEVEL_STR	"0"
  
  /*
   * VIM_VERSION_NODOT is used for the runtime directory name.
--- 19,26 ----
  #define VIM_VERSION_MINOR_STR		"4"
  #define VIM_VERSION_BUILD		 57
  #define VIM_VERSION_BUILD_STR		"57"
! #define VIM_VERSION_PATCHLEVEL		 1
! #define VIM_VERSION_PATCHLEVEL_STR	"1"
  
  /*
   * VIM_VERSION_NODOT is used for the runtime directory name.
***************
*** 30,35 ****
   */
  #define VIM_VERSION_NODOT	"vim54"
  #define VIM_VERSION_SHORT	"5.4"
! #define VIM_VERSION_MEDIUM	"5.4"
! #define VIM_VERSION_LONG	"VIM - Vi IMproved 5.4 (1999 Jul 25)"
! #define VIM_VERSION_LONG_DATE	"VIM - Vi IMproved 5.4 (1999 Jul 25, compiled "
--- 30,35 ----
   */
  #define VIM_VERSION_NODOT	"vim54"
  #define VIM_VERSION_SHORT	"5.4"
! #define VIM_VERSION_MEDIUM	"5.4.1"
! #define VIM_VERSION_LONG	"VIM - Vi IMproved 5.4.1 (1999 Jul 27)"
! #define VIM_VERSION_LONG_DATE	"VIM - Vi IMproved 5.4.1 (1999 Jul 27, compiled "

--
press CTRL-ALT-DEL for more information

--/-/---- Bram Moolenaar ---- [email-masked] ---- [email-masked] ---\-\--
  \ \    www.vim.org/iccf      www.moolenaar.net       www.vim.org    / /